> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Country coefficients

> Returns the pricing adjustment settings (country coefficients) agreed between Global-e and the Merchant, per shipping country.

Returns the list of pricing adjustment settings agreed between Global‑e and the Merchant, for the end customers shipping to the country (if `countryCode` is specified), or to all the supported countries (if `countryCode` is not specified). The list includes both country-level records (where `ProductClassCode` is empty) and product class-level records (where `IncludeVAT` is empty but `ProductClassCode` is not empty).

<Accordion title="IncludeVATOptions enumeration — VAT handling & worked example">
  The IncludeVATOptions enumeration is designated to control the way VAT is handled in browsing on the Merchant’s site and in checkout on Global‑e. Following is the list of IncludeVATOptions values and the expected results for the sample Product. In the table below we are considering a product with the original cost in the UK = 100 GBP before VAT to be shipped to Germany (with country coefficient Rate=1 and user selected currency=GBP, for simplicity). For this sample product UK VAT=20%, DE Duties Total=17%:

  | IncludeVAT Option Value | Description                                                                                                                                                                                          | Price In Browsing | Price In Checkout | Price Paid To Merchant (incl. VAT) | Checkout Duties Total | Checkout Total |
  | ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------- | ----------------- | ---------------------------------- | --------------------- | -------------- |
  | 0                       | Hide VAT (default)                                                                                                                                                                                   | 100               | 100               | 120                                | 17                    | 117            |
  | 2                       | Show VAT                                                                                                                                                                                             | 120               | 100               | 120                                | 17                    | 117            |
  | 4                       | “Pocket” VAT (increase the original price by the value of the respective product’s VAT)                                                                                                              | 120               | 120               | 144                                | 20.4 (17%)            | 140.4          |
  | 6                       | Force VAT (used to support trade agreements between the countries such as EEA, when the end customer must pay VAT; for simplicity assuming UseCountryVAT =false)                                     | 120               | 120               | 120                                | 0                     | 120            |
  | 8                       | Force & Hide VAT (used to support trade agreements between the countries such as EEA, when end customer must pay VAT but VAT is not shown in browsing; for simplicity assuming UseCountryVAT =false) | 100               | 120               | 120                                | 0                     | 120            |
</Accordion>


## OpenAPI

````yaml api-reference/specs/countrycoefficients.yaml POST /Browsing/CountryCoefficients
openapi: 3.0.3
info:
  title: CountryCoefficients
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the list of pricing adjustment settings agreed between Global‑e and
    the Merchant, for the end customers shipping to the country (if countryCode
    is specified), or to all the supported countries (if countryCode is not
    specified). The list includes both country-level records (where
    ProductClassCode is empty) and product class-level records (where IncludeVAT
    is empty but ProductClassCode is not empty).
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: CountryCoefficients
    x-page-title: CountryCoefficients
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/CountryCoefficients:
    post:
      tags:
        - CountryCoefficients
      summary: >-
        Return the list of pricing adjustment settings agreed between Global-e
        and the Merchant
      description: >-
        Returns the list of pricing adjustment settings agreed between Global‑e
        and the Merchant, for the end customers shipping to the country (if
        countryCode is specified), or to all the supported countries (if
        countryCode is not specified). The list includes both country-level
        records (where ProductClassCode is empty) and product class-level
        records (where IncludeVAT is empty but ProductClassCode is not empty).
      operationId: countryCoefficients
      parameters:
        - name: countryCode
          in: query
          required: false
          schema:
            type: string
          description: >-
            2-char ISO country code. If not specified, all the Country
            Coefficients for the countries supported by the Merchant will be
            returned
      responses:
        '200':
          description: >-
            List of country coefficients for calculating prices, list of pricing
            adjustment settings.
          content:
            application/json:
              schema:
                type: object
                properties:
                  CountryCoefficient:
                    type: array
                    description: >-
                      List of country coefficients for calculating prices, list
                      of pricing adjustment settings.
                    items:
                      $ref: '#/components/schemas/CountryCoefficient'
components:
  schemas:
    CountryCoefficient:
      type: object
      title: CountryCoefficient
      properties:
        CoefficientWithVATType:
          type: number
          description: >-
            Depending on VATRateType . This value is calculated as follows:
            “HideVAT “ → CoefficientWithVATType = Country coefficient VATType =
            “PocketVAT” → CoefficientWithVATType = Country coefficient * Origin
            Country (Merchant Country) VAT rate VATType = “ForceVAT “ →
            CoefficientWithVATType = Country coefficient * Destination country
            VAT rate If Merchant Account Settings
            “DisableVATAdjustmentForShopifyCoefficient“ = True →
            CoefficientWithVATType  = Country Coefficient
        CountryCode:
          type: string
          description: 2-char ISO country code
        IncludeVAT:
          type: number
          description: >-
            This attribute is applicable only to the Country level (i.e. not
            applicable to the Product Class level). One of the possible values
            of IncludeVATOptions enumeration is designated to control the way
            VAT is handled in browsing on the Merchant’s site and in checkout on
            Global‑e. Following is a table with a list of IncludeVATOptions
            values and the expected results for the sample Product.
        ProductClassCode:
          type: string
          description: >-
            Product class code used by the Merchant to classify products for
            using different country coefficient rates per classes of products
            instead of the single country level default (when no rate is defined
            for a certain product class, the country level default rate should
            be used by the Merchant for the respective product).
        Rate:
          type: number
          description: >-
            Country Coefficient rate decimal value. All the prices displayed to
            the end customer shipping to the country involved must be multiplied
            by this value.

````